summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Rob van Nues2017-09-10 13:44:14 +0200
committer Willy Sudiarto Raharjo2017-09-16 02:15:01 +0200
commit87f60da8dead64a7e438ea4e1186807adb7c7212 (patch)
tree19fb453af5a4a1093e10f277fa60ae3a197397c9
parent6b9af1ae138ce226ad2a58869330cb5ca437ea92 (diff)
downloadslackbuilds-87f60da8dead64a7e438ea4e1186807adb7c7212.tar.gz
academic/flexbar: Added (barcode and adapter removal).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--academic/flexbar/README18
-rw-r--r--academic/flexbar/flexbar.SlackBuild101
-rw-r--r--academic/flexbar/flexbar.info12
-rw-r--r--academic/flexbar/slack-desc19
4 files changed, 150 insertions, 0 deletions
diff --git a/academic/flexbar/README b/academic/flexbar/README
new file mode 100644
index 0000000000..ed016820d8
--- /dev/null
+++ b/academic/flexbar/README
@@ -0,0 +1,18 @@
+The program Flexbar preprocesses high-throughput sequencing data
+efficiently. It demultiplexes barcoded runs and removes adapter
+sequences. Moreover, trimming and filtering features are provided.
+Flexbar increases read mapping rates and improves genome as well as
+transcriptome assemblies. It supports next-generation sequencing data
+in fasta and fastq format, e.g. from Roche 454 and the Illumina
+platform.
+
+The script downloads the segan-library needed for compilation.
+
+References
+
+Johannes T. Roehr, Christoph Dieterich, Knut Reinert:
+Flexbar 3.0 - SIMD and multicore parallelization. Bioinformatics 2017.
+
+Matthias Dodt, Johannes T. Roehr, Rina Ahmed, Christoph Dieterich:
+Flexbar - flexible barcode and adapter processing for next-generation
+sequencing platforms. Biology 2012.
diff --git a/academic/flexbar/flexbar.SlackBuild b/academic/flexbar/flexbar.SlackBuild
new file mode 100644
index 0000000000..4155605bae
--- /dev/null
+++ b/academic/flexbar/flexbar.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for flexbar
+
+# Copyright 2017 Rob van Nues
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=flexbar
+VERSION=${VERSION:-3.0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+LIBNAM=seqan-library
+LIBVER=${LIBVER:-2.2.0}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+tar xvf $CWD/$LIBNAM-$LIBVER.tar.xz $LIBNAM-$LIBVER/include/ --strip-components=1
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+cd ..
+
+install -D -m755 build/$PRGNAM $PKG/usr/bin/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README.md LICENSE.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/flexbar/flexbar.info b/academic/flexbar/flexbar.info
new file mode 100644
index 0000000000..c84d4df37d
--- /dev/null
+++ b/academic/flexbar/flexbar.info
@@ -0,0 +1,12 @@
+PRGNAM="flexbar"
+VERSION="3.0.3"
+HOMEPAGE="https://github.com/seqan/flexbar"
+DOWNLOAD="https://github.com/seqan/flexbar/archive/v3.0.3/flexbar-3.0.3.tar.gz \
+ https://github.com/seqan/seqan/releases/download/seqan-v2.2.0/seqan-library-2.2.0.tar.xz"
+MD5SUM="16bbdc3eb89a82f9879655e33c147451 \
+ 0070e035ac84c3c128b0e8dd2737b2d3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="tbb"
+MAINTAINER="Rob van Nues"
+EMAIL="rvnues at tesco {dot} net"
diff --git a/academic/flexbar/slack-desc b/academic/flexbar/slack-desc
new file mode 100644
index 0000000000..4c2c9b2ef8
--- /dev/null
+++ b/academic/flexbar/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+flexbar: flexbar (barcode and adapter removal)
+flexbar:
+flexbar: The program Flexbar preprocesses high-throughput sequencing data
+flexbar: efficiently. It demultiplexes barcoded runs and removes adapter
+flexbar: sequences. Moreover, trimming and filtering features are provided.
+flexbar: Flexbar increases read mapping rates and improves genome as well as
+flexbar: transcriptome assemblies. It supports next-generation sequencing data
+flexbar: in fasta and fastq format, e.g. from Roche 454 and the Illumina
+flexbar: platform.
+flexbar:
+flexbar: https://github.com/seqan/flexbar